Retail Express API 2.1

users

Searches Users by parameters

Searches Users by parameters

get
https://api.retailexpress.com.au/v2.1/users

Query Parameters

idinteger | null(int32)

User Id. Other properties are ignored, if used.

user_codestring | null

User code.

first_namestring | null

First name.

surnamestring | null

Surname.

enabledboolean | null

Enabled.

is_adminboolean | null

Is admin?

selectstring | null

Select fields.

Available field name values: id, user_code, first_name, surname, enabled, is_system, is_admin

Example: id, user_code, is_system

order_bystring | null

Order by.

Available field name values: id, user_code, first_name, surname, security_profile, modified_on, is_admin.

Available direction values: asc, desc.

Example: id asc, user_code desc

filter_bystring | null

Filter by.
Available field name values: id, user_code, first_name, surname, security_profile, modified_on, is_admin.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: first_name:eq:alex,is_admin:eq:true

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Users data

User.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

User model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/users
 
application/json

Gets specific User by unique id

Gets specific User by unique id

get
https://api.retailexpress.com.au/v2.1/users/{id}

Path Parameters

idinteger(int32)required

User id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found User

User

User model

* Additional properties are NOT allowed.
idinteger | null(int32)

Id.

user_codestring | null

User code.

first_namestring | null

First name.

surnamestring | null

Surname.

security_profileobject

User security profile model

* Additional properties are NOT allowed.
Show Child Parameters
is_adminboolean

Is admin.

enabledboolean | null

Is enabled.

modified_onstring | null(date-time)

Modified on

outletsarray | null[object]

User outlet model

* Additional properties are NOT allowed.
Show Child Parameters
stock_outletsarray | null[object]

User outlet model

* Additional properties are NOT allowed.
Show Child Parameters
get/users/{id}
 
application/json

vouchers

Searches vouchers by parameters

Searches vouchers by parameters

get
https://api.retailexpress.com.au/v2.1/vouchers

Query Parameters

order_bystring | null

Order by.

Available field name values: id, code, voucher_type, balance, created_on, expires_on, initial_value

Available direction values: asc, desc.

Example: id asc, voucher_type desc

filter_bystring | null

Filter by.

Available field name values: code, voucher_type_id, initial_value, balance, created_on, expires_on, order_id, order_number, customer_id, customer_number, customer_email

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,order_number:in:order_number1|order_number2

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns vouchers

Voucher.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/vouchers
 
application/json